### Property

# Gtk Revealer:transition-type

#### Declaration

    property transition-type: Gtk.RevealerTransitionType [ read, write, construct ]

#### Description [src]

The type of animation used to transition.

Type: | `GtkRevealerTransitionType`

Default value | GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN
Getter method | `gtk_revealer_get_transition_type()`
Setter method | `gtk_revealer_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no